Skip to Content
veriom

Update service

PUT
/v1/workspaces/{workspace_id}/services/{service_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
service_id*Service Id
Formatuuid

Request Body

application/json
  1. body
expected_version*Expected Version
Range1 <= value
name*Name
Length1 <= length <= 200
owner_id?|null

Response Body

Successful Response

application/json
  1. response
created_at*Created At
Formatdate-time
deployments?array<>
entity_key*string|null
evidence_ids*array<string>
id*Id
Formatuuid
name*Name
owner_id*|null
repository_id*|null
service_key*Service Key
source*Source
source_audit_id*|null
source_observed_at?|null
updated_at*Updated At
Formatdate-time
version*Version
Example Request
curl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "expected_version": 1,  "name": "string"}'
Example Response
{  "created_at": "2019-08-24T14:15:22Z",  "deployments": [    {      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",      "branch_ref": "string",      "commit_sha": "string",      "confidence_basis": "string",      "configuration_sha256": "string",      "content_sha256": "string",      "environment": "string",      "evidence_ids": [        "string"      ],      "evidence_snapshot": [        {}      ],      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "image_digest": "string",      "observed_at": "2019-08-24T14:15:22Z",      "received_at": "2019-08-24T14:15:22Z",      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "resource_keys": [        "string"      ],      "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",      "source_event_id": "string",      "source_kind": "string",      "source_ref": "string",      "stale": false    }  ],  "entity_key": "string",  "evidence_ids": [    "string"  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "service_key": "string",  "source": "string",  "source_audit_id": "5b2a14a5-4417-422a-89c9-69ba885147c2",  "source_observed_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "version": 0}